%define		_state		stable
%define		kdever		4.8.0
%define		qtver		4.8.0
%define		orgname		kdevelop-pg-qt

Summary:	The parser-generator from KDevplatform
Name:		kde4-kdevelop-pg-qt
Version:	1.0.0
Release:	3
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{orgname}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	155f4e9a3a6d34ebe756c2a16169706f
Patch0:		flex.patch
URL:		http://www.kdevelop.org/
BuildRequires:	automoc4
BuildRequires:	bison
BuildRequires:	cmake >= 2.8.0
BuildRequires:	flex
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDevelop-PG-Qt is the parser-generator from KDevplatform. It is used
for some KDevelop-languagesupport-plugins (Ruby, PHP, Java...).

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdev-pg-qt
%{_includedir}/%{orgname}
%{_libdir}/cmake/KDevelop-PG-Qt
%changelog
* Sat Oct 05 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdevelop-pg-qt.git;a=log;h=master

* Sat Oct 05 2019 Jan Rękorajski <baggins@pld-linux.org> 1635405
- fix building with current flex
- rel 3

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 217a1ea
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Tue Mar 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ba1c4b
- up to 1.0.0

* Sat Apr 09 2011 Andrzej Augustyński <august84@pld-linux.org> c575d09
- up to 0.9.5
- adjusted to new cmake macro

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 70eb224
- BR: bison, flex

* Tue Oct 26 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b78258
- initial

